Bug 129920 - Please don't call "/usr/bin/python" from /etc/cron.d/mailman
Please don't call "/usr/bin/python" from /etc/cron.d/mailman
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks: FC3Target 457388
  Show dependency treegraph
 
Reported: 2004-08-14 04:51 EDT by Russell Coker
Modified: 2008-07-31 07:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 16:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2004-08-14 04:51:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
In SE Linux the program that is executed determines the domain that the program is run in.

Running "/usr/bin/python -S /var/mailman/cron/nightly_gzip" from /etc/cron.d/mailman causes the cron job to run in domain sysadm_crond_t, while running it as "/var/mailman/cron/nightly_gzip" (with the first line of the script being "#!/usr/bin/python -S") causes it to run in domain mailman_queue_t which is the desired result (*).

This change will not have any affect for people who don't use SE Linux and will do a lot of good for SE Linux users.

(*)  Please note that there are other problems with SE Linux and mailman, this change is not all that's required to make it work - but it is the only change that's required in the mailman package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
examine /etc/cron.d/mailman

Additional info:
Comment 1 John Dennis 2004-08-31 16:17:03 EDT
Thank you for your help and support of mailman in Red Hat. I have
modified the rpm as per your suggestions and the results appear in
mailman-2.1.5-12 which is currently building for rawhide and inclusion
in FC3 and RHEL4.

Note You need to log in before you can comment on or make changes to this bug.